@mixin Phone {
  @media (max-width: 420px) {
    @content;
  }
}


.grid {
  width: 300px;
  height: 400px;

   @include Phone {
    height: 400px;
    width: 300px;
  } 
}

.list {
  display: flex;
}

.pokemonCard {
  position: relative;
  margin: 10px;
  border-radius: 25px !important;
  box-shadow: 0px 0px 4px rgb(185, 184, 184);
  .card__header_grid {
    position: absolute;
    height: 225px;
    width: 100%;
    top: 0;
  }

  .card__header_list {
    width: 20%;
    align-items: center;
    margin-right: 25px;
    @include Phone {
      width: 100px;
      margin-right: 0px;
      flex-direction: column;
    } 
  }

  .card__header {
    display: flex;
    justify-content: center;

    .card__image_grid {
      margin-top: 25px;
      height: 150px;
      width: 150px;
    }

    .card__image_list {
      margin-top: 25px;
      height: 150px;
      width: 150px;
      @include Phone {
        margin-top: 0;
        width: 75px;
        height: 75px;
      }
    }
  }

  .card__content_grid {
    position: absolute;
    height: 225px;
    width: 100%;
    bottom: 0;
  }

  .card__content_list {
    width: 80%;

    @include Phone {
      width: 75%;
    }
  }
 
  .card__content {
    box-shadow: 0px 0px 4px rgb(185, 184, 184);
    border-radius: 25px;

    .card__content_nav_grid {
      justify-content: center;
    }

    .card__content_nav_list {
      justify-content: flex-start;
      padding-left: 25px;

      @include Phone {
        padding-left: 0;
      } 
    }

    .card__content_nav {
      display: flex;
      margin: 10px 0 20px 0;
      .card__content_nav_button {
        margin: 0 5px;
        border-radius: 25px !important;
      }
    }

    .about__text {
      padding-left: 25px;
      margin: 10px 0;
      color: white !important;
      text-shadow: 0px 1px 4px black;
      .about__data {
        font-size: 14px;
        font-weight: 900;
        margin-right: 10px;
      }
    }
  }
}